# Uses of Class
com.jangular.backend.dto.UserDTO

Packages that use UserDTO
Package
Description
com.jangular.backend.controller

## Uses of UserDTO in com.jangular.backend.controller

Methods in com.jangular.backend.controller that return types with arguments of type UserDTO
Modifier and Type
Method
Description
`org.springframework.http.ResponseEntity<UserDTO>`
UserController.`addRoleToUser(Long id, Map<String,String> roleRequest)`
Add role to user (admin only)
`org.springframework.http.ResponseEntity<List<UserDTO>>`
UserController.`getAllUsers()`
Get all users (admin only)
`org.springframework.http.ResponseEntity<UserDTO>`
UserController.`getCurrentUser(Long userId)`
Get current user information
`org.springframework.http.ResponseEntity<UserDTO>`
UserController.`getUserById(Long id)`
Get user by ID (admin only)
`org.springframework.http.ResponseEntity<UserDTO>`
AuthController.`register(@Valid RegisterRequest registerRequest)`
User registration endpoint
`org.springframework.http.ResponseEntity<UserDTO>`
UserController.`removeRoleFromUser(Long id, String roleName)`
Remove role from user (admin only)
`org.springframework.http.ResponseEntity<UserDTO>`
UserController.`updateUser(Long id, @Valid UserDTO userDTO)`
Update user information
Methods in com.jangular.backend.controller with parameters of type UserDTO
Modifier and Type
Method
Description
`org.springframework.http.ResponseEntity<UserDTO>`
UserController.`updateUser(Long id, @Valid UserDTO userDTO)`
Update user information